using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using WindowsLive.Writer.Api;

namespace LiveWriterOptions
{
    [WriterPlugin
     ("438b9b74-4ac6-4f1d-b80c-ea5497f65eaf", "Options Example",
        PublisherUrl = "http://blog.benhall.me.uk",
       Description = "Options Example", HasEditableOptions = true)]
    [InsertableContentSource("Options")]
        public class OptionsPlugin : ContentSource
        {
        private IProperties options = null;
        public override void Initialize(IProperties pluginOptions)
        {
            options = pluginOptions;
            base.Initialize(pluginOptions);
        }  

        public override void EditOptions(IWin32Window dialogOwner)
        {
            OptionsForm of = new OptionsForm(options);
            of.Show();
        }

        public override DialogResult CreateContent(IWin32Window dialogOwner, ref string content)
        {
            content = options.GetString("SettingsValue", "Option not set");
            return DialogResult.OK;
        }
    }
}
